﻿using System;
using System.Drawing;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Statistics.Interpolation;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            Random random = new Random(1234);

            double[] xValueArray = DataGen.RandomWalk(random, 20);
            double[] yValueArray = DataGen.RandomWalk(random, 20);

            (double[] smoothXValueArray, double[] smoothYValueArray) = Cubic.InterpolateXY(xValueArray, yValueArray, 200);

            plot.AddScatter(xValueArray, yValueArray, Color.Green, markerSize : 10, lineWidth : 1, label : "원본");

            plot.AddScatter(smoothXValueArray, smoothYValueArray, Color.Magenta, label : "보간");

            plot.Legend();

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}